<?php
	include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		case "update":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				$descrizione = save( $_POST['descrizione'] );
			

				$query = "UPDATE ms_cespitistati SET descrizione=\"$descrizione\" WHERE id=\"".$id_record."\"";

				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni tipo Stato  Cespite salvate correttamente!" );
			}
			break;

		case "add":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				$idtipointervento = save( $_POST['idtipointervento'] );
				$descrizione = save( $_POST['descrizione'] );
				$query = "INSERT INTO ms_cespitistati( descrizione ) VALUES ( \"$descrizione\" )";
				$dbo->query($query);
				$id_record = $dbo->last_inserted_id();
				array_push( $_SESSION['infos'], "Nuovo Stato Cespite aggiunto!" );
			}
			break;

		case "delete":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				$query="DELETE FROM ms_cespitistati WHERE id=\"".$id_record."\"";
				$dbo->query($query);

				array_push( $_SESSION['infos'], "Stato Cespite eliminato!" );
			}
			break;
	}
?>
